[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# Tmatrix2_single.set_row

Sets r-th row of the matrix with a vector.

## Declaration

Source position: matrix.pp line 151

`procedure Tmatrix2_single.set_row(`
`r: Byte;`
`const v: Tvector2_single`
`);`

## Description

Replaces the r-th row of the matrix with vector v. The row numbering starts at 0.